<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>


<xsl:template match="ESHOP-PAYMENT-SYSTEMS">
	<xsl:apply-templates select="PAYMENT"/>
</xsl:template>

<xsl:template match="ESHOP-PAYMENT-SYSTEMS/PAYMENT">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr>
	<td valign="top" style="padding-bottom:10px;">
		<table cellpadding="0" cellspacing="0" border="0" class="control-input-title">
			<xsl:for-each select="CONTROL[@TYPE='CHECKBOX']">
				<tr>
					<td class="input-block">
						<xsl:apply-templates select="." mode="control">
							<xsl:with-param name="onclick">
								<xsl:choose>
									<xsl:when test="@ID='isBluePayEnabled'">
										changeBluePayFormStatus(); self.sbApplyChangesObject.registerChange();
									</xsl:when>
									<xsl:otherwise>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
						</xsl:apply-templates>
					</td>
					<td class="title-block"><label class="name"><xsl:apply-templates select="." mode="label"/></label></td>
				</tr>				
			</xsl:for-each>
		</table>	
	</td>
</tr>
<xsl:if test="CONTENT">
<tr>
	<td valign="top" style="padding-left:20px">
		<xsl:apply-templates select="CONTENT"/>
	</td>
</tr>
</xsl:if>
</table>
</xsl:template>

<xsl:template match="ESHOP-PAYMENT-SYSTEMS/PAYMENT[@CODE='bluePay']/CONTENT">
<script type="text/javascript" src="/js/Admin/Modules/Eshop/BluePay.js?{$version}.{$build}"/>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr class="sb-formview-row">
	<td style="padding: 0px 0px 8px 0px;">
		<a>
			<xsl:attribute name="href"><xsl:value-of select="$baseUrl"/>/Admin/Modules/Eshop/BluePayRegForm</xsl:attribute>
			<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/REG-AFFILIATE-ACCOUNT"/>
		</a>
	</td>
</tr>
<tr class="sb-formview-row">
	<td style="padding: 0px 0px 8px 0px;">
		<table cellpadding="0" cellspacing="0" border="0" class="control-input-title">
			<xsl:for-each select="CONTROL[@TYPE='CHECKBOX' and @NAME='isBluePayRegistrationEnabled']">
				<tr>
					<td class="input-block">
						<xsl:apply-templates select="." mode="control">
							<xsl:with-param name="onclick">changeBluePayFormStatus(); self.sbApplyChangesObject.registerChange();</xsl:with-param>
						</xsl:apply-templates>
					</td>
					<td class="title-block"><label class="name"><xsl:apply-templates select="." mode="label"/></label></td>
				</tr>				
			</xsl:for-each>
		</table>	
	</td>
</tr>
<tr>
	<td id="bluePayPaymentSystemForm">
		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
		<xsl:for-each select="CONTROL[@TYPE='INPUT']">
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="." mode="label"/>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="." mode="control">
						<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</xsl:for-each>
		</table>
	</td>
</tr>
</table>
<script type="text/javascript">
	changeBluePayFormStatus();
</script>
</xsl:template>

</xsl:stylesheet>