<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="CATEGORY-FORM">
	</xsl:template>

	<xsl:template match="CATEGORY-FORM" mode="initAfterBody">
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">modalForm</xsl:with-param>
			<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
			<!--<xsl:with-param name="helpHint" select="/SITEBUILDER-PAGE/LOCALE/HELP-HINT"/>-->
			<!--<xsl:with-param name="closeHint" select="@CLOSE-HINT"/>-->
			<xsl:with-param name="additionalFormStyle">width: 650px; height: 470px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="CATEGORY-FORM" mode="content">
		<script type="text/javascript" src="/modules/Eshop/js/validate.js?{$version}.{$build}"></script>
		<table cellspacing="0" cellpadding="0" border="0" style="width:100%;">
			<tr>
				<td valign="top" style="padding-right: 10px;">
					<xsl:apply-templates select="IMAGE" />
				</td>
				<td>
					<xsl:apply-templates select="MAIN" />
					<div style="width: 0; height: 6px;"><span></span></div>
					<xsl:apply-templates select="DESCRIPTION" />
				</td>
			</tr>
		</table>
		<div style="width: 0; height: 10px;"><span></span></div>
		<xsl:call-template name="OK-CANCEL-BUTTONS">
			<xsl:with-param name="okAction">if(validateCategory()) {wizardFormSubmit();}</xsl:with-param>
			<xsl:with-param name="cancelAction">document.location.href='<xsl:value-of select="/SITEBUILDER-PAGE/APPLY-CHANGES/@VIEW-URL"/>';</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="IMAGE">
		<xsl:choose>
			<xsl:when test="@FILE-PATH!=''">
				<table cellspacing="0" cellpadding="0" border="0" style="border-collapse:collapse;width:100%;" >
					<tr>
						<td>
							<img border="0">
								<xsl:attribute name="src"><xsl:value-of select="@FILE-PATH"/></xsl:attribute>
							</img>
						</td>
					</tr>
					<tr>
						<td align="center" style="padding-top:5px;cursor:pointer;">
				<table cellspacing="0" cellpadding="0" border="0" style="border-collapse:collapse;" >
					<xsl:attribute name="onclick">
						setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Category/Image/Delete');
						wizardFormSubmit();
					</xsl:attribute>
					<tr>
						<td style="padding-right: 4px;">
							<img border="0" alt="" width="16" height="16" src="{$skinPath}/icons/delete.png"/>
						</td>
						<td style="padding-right: 8px;">
							<a href="#" style="color: Black;">
								<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/DELETE-IMAGE"/>
							</a>
						</td>
					</tr>
				</table>
						</td>
					</tr>
				</table>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="NO-IMAGE" >
					<xsl:with-param name="width">100px</xsl:with-param>
					<xsl:with-param name="heigth">110px</xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<input type="hidden" name="image">
			<xsl:attribute name="value"><xsl:value-of select="@FILE-PATH"/></xsl:attribute>
		</input>
	</xsl:template>

	<xsl:template match="MAIN">
		<input type="hidden" name="id">
			<xsl:attribute name="value"><xsl:value-of select="CATEGORY-INFO/@CATEGORY-ID"/></xsl:attribute>
		</input>

		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<tr>
				<td class="title-block">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="id">name</xsl:with-param>
						<xsl:with-param name="require">true</xsl:with-param>
						<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/CATEGORY-NAME"/>
						<xsl:with-param name="value" select="CATEGORY-INFO/@NAME"/>
					</xsl:call-template>
				</td>
				<td class="input-block">
					<xsl:call-template name="INPUT" mode="control">
						<xsl:with-param name="id">name</xsl:with-param>
						<xsl:with-param name="name">name</xsl:with-param>
						<xsl:with-param name="maxlength">50</xsl:with-param>
						<xsl:with-param name="require">true</xsl:with-param>
						<xsl:with-param name="value" select="CATEGORY-INFO/@NAME"/>
					</xsl:call-template>
				</td>
				<td></td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="../CONTROL[@NAME='parentId']/@TITLE"/>
					</xsl:call-template>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="../CONTROL[@NAME='parentId']" mode="categories"/>
				</td>
				<td></td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/CATEGORY-IMAGE"/>
					</xsl:call-template>
				</td>
				<td class="input-block">
					<xsl:call-template name="INPUT" mode="control">
						<xsl:with-param name="name">image</xsl:with-param>
						<xsl:with-param name="type">file</xsl:with-param>
					</xsl:call-template>
				</td>
				<td>
					<xsl:call-template name="BUTTON-CONTROL">
						<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/UPLOAD"/></xsl:with-param>
						<xsl:with-param name="action">setWizardFormAction("<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/Category/Image/Upload");wizardFormSubmit();</xsl:with-param>
					</xsl:call-template>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="CONTROL[@NAME='parentId']" mode="categories">
		<xsl:apply-templates select="." mode="control"/>
	</xsl:template>

<!--	<xsl:template match="DESCRIPTION">
		<xsl:call-template name="LABEL" mode="label">
			<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/CATEGORY-DESCRIPTION"/>
		</xsl:call-template>
		<xsl:apply-templates select="WYSIWYG" />
	</xsl:template>
-->
<!--	<xsl:template name="NO-IMAGE">
		<table style="width: 100px; height: 110px; background-color: #A4A4A4;">
			<tr>
				<td valign="middle" align="center">
					<span style="vertical-align: middle; color: #FFFFFF;"><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/NO-IMAGE"/></b></span>
				</td>
			</tr>
		</table>
	</xsl:template>
-->
<!--	<xsl:template match="POSITION">
		<option >
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
			<xsl:if test="@SELECTED=1">
				<xsl:attribute name="selected">true</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="."/>
		</option>
	</xsl:template>
-->
</xsl:stylesheet>