<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="NOTIFICATIONS">
		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<tr>
				<td class="title-block">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/ESHOP-OWNER-EMAIL"/>
					</xsl:call-template>
				</td>
				<td class="input-block">
					<xsl:call-template name="INPUT" mode="control">
						<xsl:with-param name="name">ownerEmail</xsl:with-param>
						<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange()</xsl:with-param>
						<xsl:with-param name="value" select="@OWNER-EMAIL"/>
					</xsl:call-template>
				</td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/ORDER-EMAIL-SUBJECT"/>
					</xsl:call-template>
				</td>
				<td class="input-block">
					<xsl:call-template name="INPUT" mode="control">
						<xsl:with-param name="name">subject</xsl:with-param>
						<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange()</xsl:with-param>
						<xsl:with-param name="value" select="@SUBJECT"/>
					</xsl:call-template>
				</td>
			</tr>
		</table>
		
		<div style="width: 0; height: 5px;"><span></span></div>
		
		<xsl:call-template name="LABEL" mode="label">
			<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/ORDER-EMAIL-MESSAGE"/>
		</xsl:call-template><br/>
		<xsl:apply-templates select="WYSIWYG">
			<xsl:with-param name="id"><xsl:value-of select="WYSIWYG/@NAME"/></xsl:with-param>
		</xsl:apply-templates>
		<div style="width: 0; height: 10px;"><span></span></div>
	</xsl:template>
	<xsl:template match="WYSIWYG[@MODE='eshopNotification']">
		<xsl:param name="id" />
		
		<xsl:call-template name="WYSIWYG-MODULE">
			<xsl:with-param name="Wysiwyg">
				<xsl:text>Wysiwyg_</xsl:text><xsl:value-of select="$id"/>
			</xsl:with-param>
			<xsl:with-param name="config">EshopNotification.js</xsl:with-param>
		</xsl:call-template>
	</xsl:template>	
	
	</xsl:stylesheet>	