<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:template match="COMPANY-CARD">
<div style="overflow:auto; width:100%;height:250px;">
<fieldset>
	<legend><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-COMPANY-INFORMATION-FIELDSET"/></legend>
	<div class="fieldset-block">
		<table border="0" style="width:100%;" cellspacing="0" cellpadding="0">
		<tr>
			<td width="50%"  valign="top">
				<fieldset>
					<legend>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-BUSINESS-ADRESS-FIELDSET"/>
					</legend>
					<div class="fieldset-block">
						<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
							<xsl:for-each select="COMPANY-BUSINESS-ADDRESS/CONTROL[@TYPE='INPUT']">
								<tr>
									<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
									<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
								</tr>
							</xsl:for-each>
							<xsl:for-each select="COMPANY-BUSINESS-ADDRESS/CONTROL[@TYPE='COMBO-BOX']">
								<tr>
									<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
									<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
								</tr>
							</xsl:for-each>
						</table>
					</div>
				</fieldset>
			</td>
			<td width="50%" valign="top">
				<table cellpadding="0" cellspacing="0" border="0" class="control-input-title">
					<tr>
						<td class="input-block">
							<xsl:apply-templates select="CONTROL[@NAME='com_mailing_check' and @TYPE='CHECKBOX']" mode="control">
								<xsl:with-param name="onchange">javascript: sameCorporateAndBusinessAddress();</xsl:with-param>
							</xsl:apply-templates>
						</td>
						<td class="title-block">
							<xsl:apply-templates select="CONTROL[@NAME='com_mailing_check' and @TYPE='CHECKBOX']" mode="label"/>
						</td>
					</tr>
				</table>
				<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
					<xsl:for-each select="COMPANY-CORPORATE-ADDRESS/CONTROL[@TYPE='INPUT']">
						<tr>
							<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
							<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
						</tr>
					</xsl:for-each>
					<xsl:for-each select="COMPANY-CORPORATE-ADDRESS/CONTROL[@TYPE='COMBO-BOX']">
						<tr>
							<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
							<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
						</tr>
					</xsl:for-each>
				</table>
			</td>
		</tr>
		<tr>
		<td>
			<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
				<tr>
					<td class="title-block">
						<xsl:apply-templates select="CONTROL[@NAME='com_retrieval_request' and @TYPE='COMBO-BOX']" mode="label"/>
					</td>
					<td class="input-block">
						<xsl:apply-templates select="CONTROL[@NAME='com_retrieval_request' and @TYPE='COMBO-BOX']" mode="control"/>
					</td>
				</tr>
			</table>
		</td>
		<td>
			<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
				<tr>
					<td class="title-block">
						<xsl:apply-templates select="CONTROL[@NAME='com_merch_monthly_statement' and @TYPE='COMBO-BOX']" mode="label"/>
					</td>
					<td class="input-block">
						<xsl:apply-templates select="CONTROL[@NAME='com_merch_monthly_statement' and @TYPE='COMBO-BOX']" mode="control"/>
					</td>
				</tr>
			</table>
		</td>
		</tr>
		<tr>
		<td width="50%">
			<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
				<xsl:for-each select="CONTACT-INFO/CONTROL[@TYPE='INPUT']">
					<tr>
						<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
						<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
					</tr>
				</xsl:for-each>
			</table>
		</td>
		<td width="50%">
		<div style="width:50%"><span></span></div>
		</td>
		</tr>
		<tr>
			<td colspan="2" valign="top">
				<fieldset>
					<legend>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-BUSINESS-TYPE-FIELDSET"/>
					</legend>
					<div class="fieldset-block">
						<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
							<tr>
								<td class="title-block">
									<xsl:apply-templates select="BUSINESS-TYPE/CONTROL[@NAME='com_business_type' and @TYPE='COMBO-BOX']" mode="label"/>
								</td>
								<td class="input-block">
									<xsl:apply-templates select="BUSINESS-TYPE/CONTROL[@NAME='com_business_type' and @TYPE='COMBO-BOX']" mode="control"/>
								</td>
							</tr>
							<tr>
								<td class="title-block">
									<xsl:apply-templates select="BUSINESS-TYPE/CONTROL[@NAME='com_business_type_state' and @TYPE='COMBO-BOX']" mode="label"/>
								</td>
								<td class="input-block">
									<xsl:apply-templates select="BUSINESS-TYPE/CONTROL[@NAME='com_business_type_state' and @TYPE='COMBO-BOX']" mode="control"/>
								</td>
							</tr>
							<xsl:for-each select="BUSINESS-TYPE/CONTROL[@TYPE='INPUT']">
								<tr>
									<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
									<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
								</tr>
							</xsl:for-each>
						</table>
					</div>
				</fieldset>
			</td>
		</tr>	
		</table>
	</div>
</fieldset>
</div>
</xsl:template>
	
</xsl:stylesheet>