<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:template match="PROCESSING-CARD">
<div style="overflow:auto; width:100%;height:250px;">
<fieldset>
	<legend>
		<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-PROCESSING-INFO-FIELDSET"/>
	</legend>
	<div class="fieldset-block">
		<fieldset>
			<legend>
				<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-THIRD-PARTY-FIELDSET"/>
			</legend>
			<div class="fieldset-block">
				<table border="0" style="width:100%;" cellspacing="0" cellpadding="0">
					<tr>
						<td valign="top">
								
							<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
								<xsl:for-each select="THIRD-PARTY-INFORMATION/CONTROL[@TYPE='COMBO-BOX']">
									<tr>
										<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
										<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
									</tr>
								</xsl:for-each>
							</table>
						</td>
					</tr>
				</table>
			</div>
		</fieldset>
		<fieldset>
			<legend>
				<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-TRANSACTION-INFO-FIELDSET"/>
			</legend>
			<div class="fieldset-block">
				<fieldset>
					<legend>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-FINANCIAL-DATA-FIELDSET"/>
					</legend>
					<div class="fieldset-block">
						<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
							<xsl:for-each select="FINANCIAL-DATA/CONTROL">
								<tr>
									<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
									<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
								</tr>	
							</xsl:for-each>
						</table>
					</div>
				</fieldset>
				<fieldset>
					<legend>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-SALE-TRANSACTED-FIELDSET"/>
					</legend>
					<div class="fieldset-block">
						<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
							<xsl:for-each select="SALE-TRANSACTED/CONTROL">
								<tr>
									<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
									<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
								</tr>	
							</xsl:for-each>
						</table>
					</div>
				</fieldset>
				<fieldset>
					<legend>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-TRANSACTION-COMPLETED-FIELDSET"/>
					</legend>
					<div class="fieldset-block">
						<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
							<xsl:for-each select="TRANSACTION-COMPLETED/CONTROL">
								<tr>
									<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
									<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
								</tr>	
							</xsl:for-each>
						</table>
					</div>
				</fieldset>
				<fieldset>
					<legend>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-TRANSACTION-TYPE-FIELDSET"/>
					</legend>
					<div class="fieldset-block">
						<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
							<xsl:for-each select="TRANSACTION-TYPE/CONTROL">
								<tr>
									<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
									<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
								</tr>	
							</xsl:for-each>
						</table>
					</div>
				</fieldset>
			</div>
		</fieldset>
		<fieldset>
			<legend>
				<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-ENTITLEMENT-SERVICES-FIELDSET"/>
			</legend>
			<div class="fieldset-block">
				<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
					<xsl:for-each select="ENTITLEMENT-SERVICES/CONTROL">
						<tr>
							<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
							<td class="input-block"><xsl:apply-templates select="." mode="control"/></td>
						</tr>	
					</xsl:for-each>
				</table>
			</div>
		</fieldset>
	</div>
</fieldset>
</div>
</xsl:template>
	
</xsl:stylesheet>