<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="CURRENCY-FORM">
	</xsl:template>

	<xsl:template match="CURRENCY-FORM" mode="content">
		<xsl:call-template name="FORM"/>
		<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
	</xsl:template>

	<xsl:template match="CURRENCY-FORM" mode="initAfterBody">
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">modalForm</xsl:with-param>
			<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
			<xsl:with-param name="helpHint" select="/SITEBUILDER-PAGE/LOCALE/HELP-HINT"/>
			<xsl:with-param name="closeHint" select="@CLOSE-HINT"/>
			<xsl:with-param name="additionalFormStyle">width: 650px; height: 270px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
		</xsl:call-template>
	</xsl:template>


	<xsl:template name="FORM">
		<script>
			function validateForm() {
				return validateField('SB_Validator.notEmpty', 'decimalPoint', 'EMPTY-DECIMAL-POINT');

			}
		</script>
		<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CURRENCY-HINT"/>:<br/><br/>

		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL[@NAME='code']" mode="label"/>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL[@NAME='code']" mode="control">
						<xsl:with-param name="onchange">changeCurrency(this);</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL[@NAME='symbolLeft']" mode="label"/>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL[@NAME='symbolLeft']" mode="control">
						<xsl:with-param name="onchange">sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL[@NAME='symbolRight']" mode="label"/>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL[@NAME='symbolRight']" mode="control">
						<xsl:with-param name="onchange">sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL[@NAME='decimalPoint']" mode="label">
						<xsl:with-param name="require">true</xsl:with-param>
					</xsl:apply-templates>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL[@NAME='decimalPoint']" mode="control">
						<xsl:with-param name="onchange">sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="require">true</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</table>
		<script>
			var symbolsLeft = new Array();
			var symbolsRight = new Array();
			<xsl:apply-templates select="CONTROL[@NAME='code']/CONTROL[@TYPE='COMBO-BOX-OPTION']" mode="symbolsLeft"/>
			<xsl:apply-templates select="CONTROL[@NAME='code']/CONTROL[@TYPE='COMBO-BOX-OPTION']" mode="symbolsRight"/>
			var selectedCurrency = document.forms[0].code.selectedIndex;
			function changeCurrency(select) {
				if (!confirm('<xsl:value-of select="/SITEBUILDER-PAGE/JS-LOCALE/CHANGE-CURRENCY-INFO/text()"/>')) {
					document.forms[0].code.selectedIndex = selectedCurrency;
				} else {
					selectedCurrency = document.forms[0].code.selectedIndex;
					document.forms[0].symbolLeft.value = symbolsLeft[document.forms[0].code.value];
					document.forms[0].symbolRight.value = symbolsRight[document.forms[0].code.value];
					document.forms[0].decimalPoint.value = ".";
				}
			}
		</script>
	</xsl:template>

	<xsl:template match="CONTROL" mode="symbolsLeft">
		<xsl:variable name="code"><xsl:value-of select="."/></xsl:variable>
		symbolsLeft['<xsl:value-of select="."/>'] = '<xsl:value-of select="/SITEBUILDER-PAGE/JS-LOCALE/*[name()=concat('CURRENCY-LEFT-',$code)]/text()"/>'
	</xsl:template>

	<xsl:template match="CONTROL" mode="symbolsRight">
		<xsl:variable name="code"><xsl:value-of select="."/></xsl:variable>
		symbolsRight['<xsl:value-of select="."/>'] = '<xsl:value-of select="/SITEBUILDER-PAGE/JS-LOCALE/*[name()=concat('CURRENCY-RIGHT-',$code)]/text()"/>'
	</xsl:template>

</xsl:stylesheet>