<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="PAYMENT-SYSTEMS">
		<script type="text/javascript" src="/modules/Eshop/js/payment.js?{$version}.{$build}"></script>
		<xsl:apply-templates select="@IS-MODIFIED"/>
		<table border="0" style="width:100%;" class="sb-page">
			<tr>
				<td style="width:20%;">
					<span><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CURRENCY-SELECTED"/></b></span>
				</td>
				<td style="width:10%;" ><xsl:value-of select="@CURRENCY"/></td>
				<td style="width:70%;" align="right">
					<xsl:call-template name="BUTTON-CONTROL">
						<xsl:with-param name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CHANGE-CURRENCY-SETTINGS"/></xsl:with-param>
						<xsl:with-param name="action">
							self.sbApplyChangesObject.registerForcedSaving();
							sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Eshop/Payment/Currency');
						</xsl:with-param>
					</xsl:call-template>
				</td>
			</tr>
		</table>
		<table border="0" style="width:100%;" class="sb-page">
			<xsl:apply-templates select="LIST"/>
		</table>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/@IS-MODIFIED[.='yes']">
		<script type="text/javascript">
			self.sbApplyChangesObject.registerChange();
		</script>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*">
		<tr>
			<td>
				<fieldset>
					<legend>
						<xsl:call-template name="CHECKBOX" mode="control">
							<xsl:with-param name="checked">
								<xsl:if test="@ACTIVE=1">true</xsl:if>
							</xsl:with-param>
							<xsl:with-param name="disabled">
								<xsl:if test="@CURRENCY-SUPPORTED='0'">true</xsl:if>
							</xsl:with-param>
							<xsl:with-param name="id" select="@CODE"/>
							<xsl:with-param name="name" select="@CODE"/>
							<xsl:with-param name="onclick">changePaymentStatus("<xsl:value-of select="@CODE"/>", this.checked); self.sbApplyChangesObject.registerChange();</xsl:with-param>
							<xsl:with-param name="style">margin-right: 5px;</xsl:with-param>
						</xsl:call-template>
						<xsl:call-template name="LABEL" mode="label">
							<xsl:with-param name="id" select="@CODE"/>
							<xsl:with-param name="title" select="@NAME"/>
						</xsl:call-template>
					</legend>
					<div class="fieldset-block">
						<div style="color:red;" id="{@CODE}_description">
							<xsl:if test="@ACTIVE!=1"><xsl:attribute name="style">color:red;display:none;</xsl:attribute></xsl:if>
							<xsl:apply-templates select="DESCRIPTION"/>
						</div>
						<table border="0" style="width:100%;" class="sb-page">
							<xsl:apply-templates select="REGISTRATION"/>
							<xsl:apply-templates select="FIELDS"/>
						</table>
					</div>
				</fieldset>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/CHECKOUT/DESCRIPTION">
		<b><xsl:value-of select="."/>&#160;<a href="{@LINK}" target="_blank" style="color:red;"><xsl:value-of select="@PARAM"/></a></b>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/BLUEPAY/REGISTRATION">
	<tr>
		<td width="20%"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-REGISTRATION-TITLE"/></td>
		<td width="10%"></td>
		<td>
			<table cellspacing="0" cellpadding="5" border="0" style="border: 1px solid rgb(110, 137, 221); border-collapse: collapse; background-color: rgb(255, 255, 255);">
			<tr>
				<td align="left" colspan="2">
					<span class="sb-label"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-WHY-REG"/>:</span>
				</td>
			</tr>
			<tr>
			<td valign="top" align="left" style="width: 50%;">
				<ul style="margin-bottom: 0px;">
					<li><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-REG-PAYMENT1"/></li>
					<li><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-REG-PAYMENT2"/></li>
					<li><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-REG-PAYMENT3"/></li>
					<li><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-REG-PAYMENT4"/></li>
				</ul>
			</td>
			<td valign="top" align="left" style="width: 50%;">
				<ul style="margin-bottom: 0px;">
					<li><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-REG-PAYMENT5"/></li>
					<li><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-REG-PAYMENT6"/></li>
					<li><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-REG-PAYMENT7"/></li>
				</ul>
			</td>
			</tr>			
			<tr>
				<td colspan="2" align="center">
					<a href="#">
						<xsl:attribute name="onclick">
							self.sbApplyChangesObject.registerForcedSaving();
							sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Eshop/Payment/BluePayRegistration');
						</xsl:attribute>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/BLUEPAY-REGISTRATION-NOW"/>
					</a>
				</td>
			</tr>
			</table>
		</td>
	</tr>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/ITEM">
		<tr>
			<td width="20%">
				<xsl:call-template name="LABEL" mode="label">
					<xsl:with-param name="id" select="@NAME"/>
					<xsl:with-param name="require">true</xsl:with-param>
					<xsl:with-param name="title" select="@TITLE"/>
					<xsl:with-param name="value" select="."/>
				</xsl:call-template>
			</td>
			<td width="10%"></td>
			<td align="right">
				<xsl:choose>
					<xsl:when test="@TYPE='textarea'">
						<xsl:call-template name="TEXTAREA" mode="control">
							<xsl:with-param name="disabled">
								<xsl:if test="./../../@ACTIVE=0">true</xsl:if>
							</xsl:with-param>
							<xsl:with-param name="id" select="@NAME"/>
							<xsl:with-param name="name" select="@NAME"/>
							<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
							<xsl:with-param name="require">true</xsl:with-param>
							<xsl:with-param name="style">width: 100%;</xsl:with-param>
							<xsl:with-param name="value" select="."/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="INPUT" mode="control">
							<xsl:with-param name="disabled">
								<xsl:if test="./../../@ACTIVE=0">true</xsl:if>
							</xsl:with-param>
							<xsl:with-param name="id" select="@NAME"/>
							<xsl:with-param name="name" select="@NAME"/>
							<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
							<xsl:with-param name="require">true</xsl:with-param>
							<xsl:with-param name="style">width: 100%;</xsl:with-param>
							<xsl:with-param name="value" select="."/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/CUSTOM/FIELDS">
		<script type="text/javascript" src="/modules/Eshop/js/customPayment.js?{$version}.{$build}"></script>
		<xsl:apply-templates select="CONTROL"/>
		<script type="text/javascript">
			self.customSettingsOwnerList = new CustomSettingsOwnerList('<xsl:value-of select="../@CODE"/>');
			<xsl:apply-templates select="CONTROL" mode="paymentInit"/>
		</script>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@FIELD-TYPE='string' or @FIELD-TYPE='text' or @FIELD-TYPE='password']" mode="paymentInit">
		self.customSettingsOwnerList.register(new CustomSettingsObjectText('<xsl:value-of select="@NAME"/>', '<xsl:value-of select="@REQUIRE"/>'));
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@FIELD-TYPE='email']" mode="paymentInit">
		self.customSettingsOwnerList.register(new CustomSettingsObjectMail('<xsl:value-of select="@NAME"/>', '<xsl:value-of select="@REQUIRE"/>'));
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@FIELD-TYPE='double']" mode="paymentInit">
		self.customSettingsOwnerList.register(new CustomSettingsObjectDouble('<xsl:value-of select="@NAME"/>', '<xsl:value-of select="@REQUIRE"/>', '<xsl:value-of select="@DECIMAL-POINT"/>'));
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@FIELD-TYPE='currency']" mode="paymentInit">
		self.customSettingsOwnerList.register(new CustomSettingsObjectCurrency('<xsl:value-of select="@NAME"/>', '<xsl:value-of select="@REQUIRE"/>', '<xsl:value-of select="@DECIMAL-POINT"/>'));
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@FIELD-TYPE='integer']" mode="paymentInit">
		self.customSettingsOwnerList.register(new CustomSettingsObjectInteger('<xsl:value-of select="@NAME"/>', '<xsl:value-of select="@REQUIRE"/>'));
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@FIELD-TYPE='numeric']" mode="paymentInit">
		self.customSettingsOwnerList.register(new CustomSettingsObjectNumeric('<xsl:value-of select="@NAME"/>', '<xsl:value-of select="@REQUIRE"/>'));
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@FIELD-TYPE='phone']" mode="paymentInit">
		self.customSettingsOwnerList.register(new CustomSettingsObjectPhone('<xsl:value-of select="@NAME"/>', '<xsl:value-of select="@REQUIRE"/>'));
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@FIELD-TYPE='date']" mode="paymentInit">
		self.customSettingsOwnerList.register(new CustomSettingsObjectDate('<xsl:value-of select="@NAME"/>', '<xsl:value-of select="@REQUIRE"/>'));
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL">
		<tr>
			<td width="20%">
				<xsl:apply-templates select="." mode="label"/>
			</td>
			<td width="10%"></td>
			<td align="right">
				<xsl:apply-templates select="." mode="paymentInput"/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@TYPE='TEXT']" mode="paymentInput">
		<xsl:call-template name="TEXTAREA" mode="control">
			<xsl:with-param name="disabled">
				<xsl:if test="./../../@ACTIVE=0">true</xsl:if>
			</xsl:with-param>
			<xsl:with-param name="id" select="@NAME"/>
			<xsl:with-param name="name" select="@NAME"/>
			<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
			<xsl:with-param name="style">width: 100%;</xsl:with-param>
			<xsl:with-param name="value" select="."/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@TYPE='INPUT']" mode="paymentInput">
		<xsl:call-template name="INPUT" mode="control">
			<xsl:with-param name="disabled">
				<xsl:if test="./../../@ACTIVE=0">true</xsl:if>
			</xsl:with-param>
			<xsl:with-param name="id" select="@NAME"/>
			<xsl:with-param name="name" select="@NAME"/>
			<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
			<xsl:with-param name="style">width: 100%;</xsl:with-param>
			<xsl:with-param name="value" select="."/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@TYPE='PASSWORD']" mode="paymentInput">
		<xsl:call-template name="INPUT" mode="control">
			<xsl:with-param name="disabled">
				<xsl:if test="./../../@ACTIVE=0">true</xsl:if>
			</xsl:with-param>
			<xsl:with-param name="id" select="@NAME"/>
			<xsl:with-param name="name" select="@NAME"/>
			<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
			<xsl:with-param name="style">width: 100%;</xsl:with-param>
			<xsl:with-param name="type">password</xsl:with-param>
			<xsl:with-param name="value" select="."/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="PAYMENT-SYSTEMS/LIST/*/FIELDS/CONTROL[@TYPE='DATE']" mode="paymentInput">
		<table border="0" style="width:100%;">
			<tr>
				<td style="width: 1%; white-space: nowrap;">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="@MONTH-TITLE"/>
					</xsl:call-template>
				</td>
				<td style="white-space: nowrap;">
					<xsl:call-template name="INPUT" mode="control">
						<xsl:with-param name="disabled">
							<xsl:if test="./../../@ACTIVE=0">true</xsl:if>
						</xsl:with-param>
						<xsl:with-param name="id"><xsl:value-of select="@NAME"/>month</xsl:with-param>
						<xsl:with-param name="name"><xsl:value-of select="@NAME"/>month</xsl:with-param>
						<xsl:with-param name="onclick">self.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="value" select="@MONTH"/>
					</xsl:call-template>
				</td>
				<td style="width: 1%; white-space: nowrap; padding: 0px 0px 0px 10px;">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="@DAY-TITLE"/>
					</xsl:call-template>
				</td>
				<td style="white-space: nowrap;">
					<xsl:call-template name="INPUT" mode="control">
						<xsl:with-param name="disabled">
							<xsl:if test="./../../@ACTIVE=0">true</xsl:if>
						</xsl:with-param>
						<xsl:with-param name="id"><xsl:value-of select="@NAME"/>day</xsl:with-param>
						<xsl:with-param name="name"><xsl:value-of select="@NAME"/>day</xsl:with-param>
						<xsl:with-param name="onclick">self.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="value" select="@DAY"/>
					</xsl:call-template>
				</td>
				<td style="width: 1%; white-space: nowrap; padding: 0px 0px 0px 10px;">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="@YEAR-TITLE"/>
					</xsl:call-template>
				</td>
				<td style="white-space: nowrap;">
					<xsl:call-template name="INPUT" mode="control">
						<xsl:with-param name="disabled">
							<xsl:if test="./../../@ACTIVE=0">true</xsl:if>
						</xsl:with-param>
						<xsl:with-param name="id"><xsl:value-of select="@NAME"/>year</xsl:with-param>
						<xsl:with-param name="name"><xsl:value-of select="@NAME"/>year</xsl:with-param>
						<xsl:with-param name="onclick">self.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="value" select="@YEAR"/>
					</xsl:call-template>
				</td>
			</tr>
		</table>
	</xsl:template>

</xsl:stylesheet>