<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="SETTINGS">

		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<tr>
				<td class="title-block">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/COLUMNS-NUMBER-IN-CATEGORY-LIST"/>
					</xsl:call-template>
				</td>
				<td class="input-block">
					<select  name="categoryListColumnsNumber" onchange="self.sbApplyChangesObject.registerChange()">
						<xsl:apply-templates select="CATEGORY-COLUMNS-RANGE/ITEM"/>
					</select>
				</td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:call-template name="LABEL" mode="label">
						<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/PRODUCT-NUMBER-PER-PAGE"/>
					</xsl:call-template>
				</td>
				<td class="input-block">
					<select name="productNumberPerPage" onchange="self.sbApplyChangesObject.registerChange()">
						<xsl:apply-templates select="PRODUCT-NUMBER-PER-PAGE/ITEM"/>
					</select>
				</td>
			</tr>
		</table>

		<table cellpadding="0" cellspacing="0" border="0" class="control-input-title">
			<tr>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL[@NAME='isInventoryEnabled']" mode="control">
						<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL[@NAME='isInventoryEnabled']" mode="label"/>
				</td>
			</tr>
			<xsl:for-each select="CONTROL[@NAME='isShowCategoriesFirst']/CONTROL[@TYPE='RADIO-OPTION']">
				<tr>
					<td class="input-block">
						<xsl:apply-templates select="." mode="control">
							<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
						</xsl:apply-templates>
					</td>
					<td class="title-block">
						<xsl:apply-templates select="." mode="label"/>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

	<xsl:template match="ITEM">
		<option >
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
			<xsl:if test="@SELECTED=1">
				<xsl:attribute name="selected">true</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="."/>
		</option>
	</xsl:template>

</xsl:stylesheet>