<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="SHIPPING-METHODS-FORM">
	</xsl:template>	

	<xsl:template match="SHIPPING-METHODS-FORM" mode="initAfterBody">
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">modalForm</xsl:with-param>
			<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
			<xsl:with-param name="additionalFormStyle">width: 650px; height: 400px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="SHIPPING-METHODS-FORM" mode="content">
		<xsl:apply-templates select="TAB-PANEL" />

		<xsl:call-template name="OK-CANCEL-BUTTONS">
			<xsl:with-param name="okAction">if(validateShippingMethod()) {wizardFormSubmit();}</xsl:with-param>
			<xsl:with-param name="cancelAction">document.location.href='<xsl:value-of select="/SITEBUILDER-PAGE/APPLY-CHANGES/@VIEW-URL"/>';</xsl:with-param>
			<xsl:with-param name="cancelblockstyle">padding-right: 10px;</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="MAIN-CARD">
		<script type="text/javascript" src="/modules/Eshop/js/validate.js?{$version}.{$build}"></script>
	
		<input type="hidden" name="uid" value="{@UID}"/>
		
		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL[@NAME='name']" mode="label">
						<xsl:with-param name="require">true</xsl:with-param>
					</xsl:apply-templates>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL[@NAME='name']" mode="control">
						<xsl:with-param name="require">true</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL[@NAME='cost']" mode="label">
						<xsl:with-param name="require">true</xsl:with-param>
					</xsl:apply-templates>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL[@NAME='cost']" mode="control">
						<xsl:with-param name="maxlength">20</xsl:with-param>
						<xsl:with-param name="require">true</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</table>
		
	</xsl:template>
	
</xsl:stylesheet>