<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="SHIPPING-METHODS">
		<xsl:apply-templates select="TOOLBAR"/>
		<xsl:apply-templates select="PAGED-LIST"/>
		
		<script language="javascript">
			function deleteShippingMethods() {
				count = getCountSelectedShippingMethodsCheckBoxes();
				if (count > 0) {
					if (confirm(count + ' <xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SURE-TO-DELETE"/>')) {
						var form = document.forms['SB_WizardForm'];
						form.tab.value = 'shipping_methods';
						form.action = '<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/ShippingMethods/Delete';
						
						self.sbApplyChangesObject.registerForcedSaving(); 
						sbNavigationObject.go();
					}
				}
				else {
					alert('<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SELECT-FOR-DELETE"/>');
				}
			}
			
			function getCountSelectedShippingMethodsCheckBoxes() {
				result = 0;
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='shippingMethods_objectIds[]') {
						if (form.elements[n].checked) {
							++result;
						}
					}
				}
				return result;
			}	
			
			function setShippingMethodsCheckboxStatus(status) {
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='shippingMethods_objectIds[]') {
						if (!form.elements[n].disabled) {
							form.elements[n].checked = status;
						}
					}
				}
			}
		</script>
		
	</xsl:template>

	<xsl:template match="SHIPPING-METHODS/PAGED-LIST/LIST/HEADER">
		<tr class="fixed">
			<th style="width:1%;">
				<div>
					<input type="checkbox" name="globalCheck" onclick="setShippingMethodsCheckboxStatus(this.checked);" class="check"/>
				</div>
			</th>
			<th><div><xsl:value-of select="NAME"/></div></th>
			<th><div><xsl:value-of select="COST"/></div></th>
			<xsl:if test="../../@IS-SEQUENCED=1">
				<th style="width:1%;"><div><span></span></div></th>
				<th style="width:1%;"><div><span></span></div></th>
			</xsl:if>
			<th style="width:1%;text-align:center;" scope="col">
				<div><xsl:value-of select="EDIT"/></div>
			</th>
		</tr>
	</xsl:template>

	<xsl:template match="SHIPPING-METHODS/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="currentCategory" select="../../TOOLBAR/LIST-VIEW-STATES/@SELECTED"/>
		<xsl:variable name="class">
			<xsl:call-template name="LIST-ROW-CLASS">
        		<xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<tr class="{$class}">
			<td style="width:1%;">
				<input type="checkbox" name="shippingMethods_objectIds[]" class="check">
					<xsl:attribute name="value"><xsl:value-of select="UID"/></xsl:attribute>
				</input>
			</td>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="COST"/></xsl:with-param>
			</xsl:call-template>

			<xsl:if test="../../@IS-SEQUENCED=1">
				<td style="width:1%; text-align:center;">
					<xsl:if test="not(IS-FIRST=1)">
						<a>
							<xsl:attribute name="href">#</xsl:attribute>
							<xsl:attribute name="onclick">self.sbApplyChangesObject.registerForcedSaving();setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/ShippingMethods/Up?id=<xsl:value-of select="UID"/>&amp;position=<xsl:value-of select="POSITION"/>');sbNavigationObject.go();</xsl:attribute>
							<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-up.gif"/>
						</a>
					</xsl:if>
				</td>
				<td style="width:1%; text-align:center;">
					<xsl:if test="not(IS-LAST=1)">	
						<a>
							<xsl:attribute name="href">#</xsl:attribute>
							<xsl:attribute name="onclick">self.sbApplyChangesObject.registerForcedSaving();setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/ShippingMethods/Down?id=<xsl:value-of select="UID"/>&amp;position=<xsl:value-of select="POSITION"/>');sbNavigationObject.go();</xsl:attribute>
							<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/images/sequence-down.gif"/>
						</a>
					</xsl:if>
				</td>
			</xsl:if>
			<td style="width:1%; text-align:center;">
				<a>
					<xsl:attribute name="href">#</xsl:attribute>
					<xsl:attribute name="onclick">
						self.sbApplyChangesObject.registerForcedSaving();
						sbNavigationObject.go('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Eshop/ShippingMethods/Edit?id=<xsl:value-of select="UID"/>');
					</xsl:attribute>
					<xsl:attribute name="id"><xsl:value-of select="UID"/></xsl:attribute>
					<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/editsiteinwizard.png"/>
				</a>
			</td>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>	